/* See LICENSE file for copyright and license details. */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../text.h"
#include "../util.h"

void
getlines(FILE *fp, struct linebuf *b)
{
	char *line = NULL, **nline;
	size_t size = 0, linelen;
	ssize_t len;

	while ((len = getline(&line, &size, fp)) != -1) {
		if (++b->nlines > b->capacity) {
			b->capacity += 512;
			nline = erealloc(b->lines, b->capacity * sizeof(*b->lines));
			b->lines = nline;
		}
		linelen = len + 1;
		b->lines[b->nlines - 1] = memcpy(emalloc(linelen), line, linelen);
	}
	free(line);
	if (!strchr(b->lines[b->nlines - 1], '\n')) {
		b->lines[b->nlines - 1] = erealloc(b->lines[b->nlines - 1], linelen + 1);
		b->lines[b->nlines - 1][linelen - 1] = '\n';
		b->lines[b->nlines - 1][linelen] = '\0';
	}
}
